#!/usr/bin/env cwl-runner
cwlVersion: v1.2
class: Workflow

inputs:
  inKallistoResults: Directory
  inMetadataFile: File
  inMetadataSample: string
  inMetadataFactorList: string[]

steps:
  deseq2:
    run: ../../workflows/deseq2/workflow.cwl
    in:
      inKallistoResults: inKallistoResults
      inMetadataFile: inMetadataFile
      inMetadataSample: inMetadataSample
      inMetadataFactorList: inMetadataFactorList
    out: [output]

outputs:
  output: 
    type: File[]
    outputSource: deseq2/output
